Anonymous Login
2018-10-16 18:03 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000152v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:10
ReporterMiraKlim 
Assigned Topedroa 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000152: Task not displayed in Todo
DescriptionI modified ProjectStatus list. I added new status before "In Progres" and modified statuses Ids.
Since then in todo task list tasks for projects with status "In Progres" are not shown.
Additional InformationModified ProjectStatus list
0|Not Defined 1|Roadmap 2|Proposed 3|In Planning 4|In Progress 5|On Hold 6|Complete 7|Template

I found problem in todo.php where a constant is used for projects on hold
$project_on_hold_status = 4;
TagsNo tags attached.
Attached Files

-Relationships
child of 0000154new Pending Requests Hard-coded System Parameters 
+Relationships

-Notes

~0000262

caseydk (administrator)

This is an acknowledged weakness in how the project filtering is handled. You're right, it's hard-coded and this is bad.

Realistically, to clean this up, they'll have to be a setting on the System Config to allow an Administrator to specify which Statuses are "inactive" in some form or another.

~0000496

pedroa (administrator)

Fixed on SVN.

File is:
/modules/tasks/todo.php

Leaving it be as it was, it wasn't an option, because by default it wouldn't show any of the tasks of those projects.
So I made it the other way round. Show them all, then when we add the on_hold_projects_status_id config key later on, it will filter them out again, but this time based on an Administrator choice on the System Configuration.

Thanks for reporting,

Pedro A.
+Notes

-Issue History
Date Modified Username Field Change
2009-05-04 02:49 MiraKlim New Issue
2009-05-06 09:16 caseydk Note Added: 0000262
2009-05-06 09:17 caseydk Relationship added related to 0000154
2009-05-06 09:18 caseydk Relationship deleted related to 0000154
2009-05-06 09:18 caseydk Relationship added child of 0000154
2009-05-06 09:19 caseydk Project v1.0 Release (Closed) => Pending Requests
2009-09-18 02:50 pedroa Status new => resolved
2009-09-18 02:50 pedroa Resolution open => fixed
2009-09-18 02:50 pedroa Assigned To => pedroa
2009-09-18 02:50 pedroa Note Added: 0000496
2009-09-18 04:31 caseydk Project Pending Requests => v1.2 Release (Closed)
2009-12-08 19:10 caseydk Status resolved => closed
2009-12-08 19:10 caseydk Fixed in Version => 1.2
+Issue History